Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.soa.esb.services.rules
Enum RuleServicePropertiesNames

    java.lang.Object
      java.lang.Enum<RuleServicePropertiesNames>
          org.jboss.soa.esb.services.rules.RuleServicePropertiesNames

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RuleServicePropertiesNames>

    public enum RuleServicePropertiesNames

extends java.lang.Enum<RuleServicePropertiesNames>

This enum contains properties specific for a RuleService.

Author:
  Daniel Bevenius

Enum Constant Summary
`CONTINUE`
`DECISION_TABLE`
`DISPOSE`
`IMPL_CLASS`
`RULE_AGENT_PROPERTIES`
`STATEFUL`

Method Summary
`java.lang.String` | `getTagName()`
`static RuleServicePropertiesNames` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RuleServicePropertiesNames[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IMPL_CLASS

    public static final RuleServicePropertiesNames IMPL_CLASS

### DECISION_TABLE

    public static final RuleServicePropertiesNames DECISION_TABLE

### RULE_AGENT_PROPERTIES

    public static final RuleServicePropertiesNames RULE_AGENT_PROPERTIES

### DISPOSE

    public static final RuleServicePropertiesNames DISPOSE

### CONTINUE

    public static final RuleServicePropertiesNames CONTINUE

### STATEFUL

    public static final RuleServicePropertiesNames STATEFUL

Method Detail

### values

    public static final RuleServicePropertiesNames[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RuleServicePropertiesNames c : RuleServicePropertiesNames.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RuleServicePropertiesNames valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getTagName

    public java.lang.String getTagName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD